lt
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Logical operations

Check if input is less than another. More...

AFAPI array | operator< (const array &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. More...
AFAPI array | operator< (const bool &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const int &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const unsigned &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const char &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const unsigned char &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const long &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const unsigned long &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const long long &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const unsigned long long &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const double &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const float &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const cfloat &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const cdouble &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const bool &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const int &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const unsigned &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const char &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const unsigned char &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const long &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const unsigned long &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const long long &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const unsigned long long &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const double &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const float &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const cfloat &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const cdouble &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const short &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const unsigned short &lhs, const array &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const short &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator< (const array &lhs, const unsigned short &rhs)
| Performs a lower than operation on two arrays or an array and a value. (const array&, const array&) More...

## Detailed Description

Check if input is less than another.

## Function Documentation

## § operator<() [1/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs`

## § operator<() [2/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const unsigned short & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [3/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const short & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [4/31]

AFAPI array af::operator< | ( | const unsigned short & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [5/31]

AFAPI array af::operator< | ( | const short & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [6/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const cdouble & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [7/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const cfloat & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [8/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const float & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [9/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const double & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [10/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const unsigned long long & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [11/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const long long & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [12/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const unsigned long & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [13/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const long & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [14/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const unsigned char & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [15/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const char & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [16/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const unsigned & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [17/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const int & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [18/31]

AFAPI array af::operator< | ( | const array & | lhs,
|  | const bool & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [19/31]

AFAPI array af::operator< | ( | const cdouble & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [20/31]

AFAPI array af::operator< | ( | const cfloat & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [21/31]

AFAPI array af::operator< | ( | const float & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [22/31]

AFAPI array af::operator< | ( | const double & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [23/31]

AFAPI array af::operator< | ( | const unsigned long long & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [24/31]

AFAPI array af::operator< | ( | const long long & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [25/31]

AFAPI array af::operator< | ( | const unsigned long & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [26/31]

AFAPI array af::operator< | ( | const long & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [27/31]

AFAPI array af::operator< | ( | const unsigned char & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [28/31]

AFAPI array af::operator< | ( | const char & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [29/31]

AFAPI array af::operator< | ( | const unsigned & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [30/31]

AFAPI array af::operator< | ( | const int & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator<() [31/31]

AFAPI array af::operator< | ( | const bool & | lhs,
|  | const array & | rhs
| ) |  |

Performs a lower than operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array of type b8 with the < operation performed on each element of `lhs` and `rhs` (const array&, const array&)